1. Hierarchy Information
Calven
  • Overview
  • Key Access Levels
  • Basic Authentication Overview
  • HMAC Authentication Overview
  • SDKs
  • Calven Data Models
  • Changelog
  • HMAC Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events with BASIC auth
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse Overview
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence Details
      GET
    • User Actions Log
      GET
  • Warehouse - HMAC Auth
    • Warehouse Overview
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
      PUT
    • Submit group hierarchy relationships with Basic Auth
      PUT
  • Schemas
    • Schemas
      • DWDesksResponseDto
      • DMGroupRelationshipDto
      • PresenceEventDto
      • DWGroupsResponseDto
      • LeaveRequestBody
      • CreatePresenceEventDto
      • TimeOffEvent
      • TimeoffRequestBody
      • EventResultDto
      • TimeoffResponse
      • CreatePresenceEventResponseDto
      • TimeoffEventResponse
      • ResultCodes
      • OccupancyEventDto
      • CreateOccupancyEventDto
      • CreateOccupancyEventResponseDto
      • AuthRequestDto
      • AuthResponseDto
      • OAuthRequestDto
      • OAuthResponseDto
      • AccessCredentialUpdateResultCodes
      • AccessCredentialUpdateResult
      • AccessCredentialUpdateResponse
      • AccessCredential
      • AccessCredentialUpdate
      • AccessCredentialUpdateRequest
      • DWChangeLogUserResponseDto
      • DWUserBookingAttendanceResponseDto
      • DWPresenceResponseDto
      • DWUsersResponseDto
      • DWLocationsResponseDto
  1. Hierarchy Information

Submit group hierarchy relationships

PUT
/v1/directory/group-hierarchy-relationship
Submit group relationships for group hierarchy calculation in directory management.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "groupRelationships": [
        {
            "group": "Channel Marketing",
            "groupType": "Department",
            "parent": "Marketing",
            "parentType": "Division"
        },
        {
            "group": "Marketing",
            "groupType": "Division",
            "parent": null,
            "parentType": null
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.calven.com/v1/directory/group-hierarchy-relationship' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "groupRelationships": [
        {
            "group": "Channel Marketing",
            "groupType": "Department",
            "parent": "Marketing",
            "parentType": "Division"
        },
        {
            "group": "Marketing",
            "groupType": "Division",
            "parent": null,
            "parentType": null
        }
    ]
}'

Responses

🟢204
This response does not have a body.
🟠401
Modified at 2026-04-30 15:23:20
Previous
Org Hierarchy Information Overview
Next
Submit group hierarchy relationships with Basic Auth
Built with